Skip to content
GitLab
Explore
Sign in
Register
Primary navigation
Search or go to…
Project
wine
Manage
Activity
Members
Labels
Code
Merge requests
Repository
Branches
Commits
Tags
Repository graph
Compare revisions
Snippets
Build
Pipelines
Jobs
Pipeline schedules
Artifacts
Deploy
Package Registry
Container Registry
Model registry
Operate
Terraform modules
Analyze
Value stream analytics
Contributor analytics
CI/CD analytics
Repository analytics
Model experiments
Help
Help
Support
GitLab documentation
Compare GitLab plans
Community forum
Contribute to GitLab
Provide feedback
Keyboard shortcuts
?
Snippets
Groups
Projects
Show more breadcrumbs
Alexey Alyaev
wine
Commits
bc66d7ed
Commit
bc66d7ed
authored
18 years ago
by
Roderick Colenbrander
Committed by
Alexandre Julliard
18 years ago
Browse files
Options
Downloads
Patches
Plain Diff
configure: Extend the current OpenGL/Direct3D warning code.
parent
23db4347
No related branches found
Branches containing commit
No related tags found
Tags containing commit
No related merge requests found
Changes
2
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
configure
+29
-11
29 additions, 11 deletions
configure
configure.ac
+23
-7
23 additions, 7 deletions
configure.ac
with
52 additions
and
18 deletions
configure
+
29
−
11
View file @
bc66d7ed
...
...
@@ -9347,7 +9347,7 @@ done
then
{ echo "$as_me:$LINENO: checking for up-to-date OpenGL version" >&5
echo $ECHO_N "checking for up-to-date OpenGL version... $ECHO_C" >&6; }
if test "${wine_cv_opengl_version_OK+set}" = set; then
if test "${wine_cv_opengl_
header_
version_OK+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
...
...
@@ -9399,20 +9399,20 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_opengl_version_OK="yes"
wine_cv_opengl_
header_
version_OK="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
wine_cv_opengl_version_OK="no"
wine_cv_opengl_
header_
version_OK="no"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ echo "$as_me:$LINENO: result: $wine_cv_opengl_version_OK" >&5
echo "${ECHO_T}$wine_cv_opengl_version_OK" >&6; }
{ echo "$as_me:$LINENO: result: $wine_cv_opengl_
header_
version_OK" >&5
echo "${ECHO_T}$wine_cv_opengl_
header_
version_OK" >&6; }
if test "$wine_cv_opengl_version_OK" = "yes"
then
...
...
@@ -9515,6 +9515,8 @@ This prevents linking to OpenGL. Delete the file and restart configure." >&5
echo "$as_me: error: /usr/X11R6/lib/libGL.a is present on your system.
This prevents linking to OpenGL. Delete the file and restart configure." >&2;}
{ (exit 1); exit 1; }; }
else
wine_cv_opengl_libs_found="no"
fi
fi
...
...
@@ -9688,9 +9690,10 @@ if test $ac_cv_lib_glut_glutMainLoop = yes; then
fi
else
wine_cv_opengl_headers_found="no"
fi
fi
NASLIBS=""
...
...
@@ -25726,13 +25729,28 @@ echo "$as_me: WARNING: isn't what you want anyway. You will need to install deve
echo "$as_me: WARNING: packages of Xlib/Xfree86 at the very least." >&2;}
fi
if test "$wine_cv_opengl_
version_OK
" = "no"
if test "$wine_cv_opengl_
headers_found" = "no" -o "$wine_cv_opengl_header_version_OK" = "no" -o "$wine_cv_opengl_libs_found
" = "no"
then
echo >&2
{ echo "$as_me:$LINENO: WARNING: Old Mesa headers detected. Wine will be built without Direct3D" >&5
echo "$as_me: WARNING: Old Mesa headers detected. Wine will be built without Direct3D" >&2;}
{ echo "$as_me:$LINENO: WARNING: support. Consider upgrading your Mesa libraries (http://www.mesa3d.org/)." >&5
echo "$as_me: WARNING: support. Consider upgrading your Mesa libraries (http://www.mesa3d.org/)." >&2;}
{ echo "$as_me:$LINENO: WARNING: Wine will be build without OpenGL or Direct3D support" >&5
echo "$as_me: WARNING: Wine will be build without OpenGL or Direct3D support" >&2;}
{ echo "$as_me:$LINENO: WARNING: because something is wrong with the OpenGL setup:" >&5
echo "$as_me: WARNING: because something is wrong with the OpenGL setup:" >&2;}
if test "$wine_cv_opengl_headers_found" = "no"
then
{ echo "$as_me:$LINENO: WARNING: No OpenGL development headers were found" >&5
echo "$as_me: WARNING: No OpenGL development headers were found" >&2;}
fi
if test "$wine_cv_opengl_header_version_OK" = "no"
then
{ echo "$as_me:$LINENO: WARNING: Old Mesa headers detected. Consider upgrading your Mesa libraries (http://www.mesa3d.org/)." >&5
echo "$as_me: WARNING: Old Mesa headers detected. Consider upgrading your Mesa libraries (http://www.mesa3d.org/)." >&2;}
fi
if test "$wine_cv_opengl_libs_found" = "no"
then
{ echo "$as_me:$LINENO: WARNING: No OpenGL library found on this system." >&5
echo "$as_me: WARNING: No OpenGL library found on this system." >&2;}
fi
fi
if test "$wine_cv_msg_freetype" = "yes"
...
...
This diff is collapsed.
Click to expand it.
configure.ac
+
23
−
7
View file @
bc66d7ed
...
...
@@ -401,12 +401,12 @@ then
if test "$ac_cv_header_GL_gl_h" = "yes" -a "$ac_cv_header_GL_glx_h" = "yes"
then
dnl Check for some problems due to old Mesa versions
AC_CACHE_CHECK([for up-to-date OpenGL version], wine_cv_opengl_version_OK,
AC_CACHE_CHECK([for up-to-date OpenGL version], wine_cv_opengl_
header_
version_OK,
AC_TRY_COMPILE(
[#include <GL/gl.h>],
[GLenum test = GL_UNSIGNED_SHORT_5_6_5;],
[wine_cv_opengl_version_OK="yes"],
[wine_cv_opengl_version_OK="no"]
[wine_cv_opengl_
header_
version_OK="yes"],
[wine_cv_opengl_
header_
version_OK="no"]
)
)
...
...
@@ -427,6 +427,9 @@ then
then
AC_MSG_ERROR([/usr/X11R6/lib/libGL.a is present on your system.
This prevents linking to OpenGL. Delete the file and restart configure.])
else
dnl The compile test most likely failed because no libGL.so was found
wine_cv_opengl_libs_found="no"
fi
fi
...
...
@@ -444,9 +447,10 @@ This prevents linking to OpenGL. Delete the file and restart configure.])
[AC_SUBST(GLUT_LIBS,"-lglut -lXmu -lXi")
AC_SUBST(GLUT32FILES,'$(GLUT32FILES)')],,
$OPENGL_LIBS $X_LIBS $X_PRE_LIBS -lXmu -lXi -lX11 $X_EXTRA_LIBS)
else
wine_cv_opengl_headers_found="no"
fi
fi
dnl **** Check for NAS ****
AC_SUBST(NASLIBS,"")
AC_CHECK_HEADERS(audio/audiolib.h,
...
...
@@ -2013,11 +2017,23 @@ then
AC_MSG_WARN([ packages of Xlib/Xfree86 at the very least.])
fi
if test "$wine_cv_opengl_
version_OK
" = "no"
if test "$wine_cv_opengl_
headers_found" = "no" -o "$wine_cv_opengl_header_version_OK" = "no" -o "$wine_cv_opengl_libs_found
" = "no"
then
echo >&2
AC_MSG_WARN([Old Mesa headers detected. Wine will be built without Direct3D])
AC_MSG_WARN([support. Consider upgrading your Mesa libraries (http://www.mesa3d.org/).])
AC_MSG_WARN([Wine will be build without OpenGL or Direct3D support])
AC_MSG_WARN([because something is wrong with the OpenGL setup:])
if test "$wine_cv_opengl_headers_found" = "no"
then
AC_MSG_WARN([No OpenGL development headers were found])
fi
if test "$wine_cv_opengl_header_version_OK" = "no"
then
AC_MSG_WARN([Old Mesa headers detected. Consider upgrading your Mesa libraries (http://www.mesa3d.org/).])
fi
if test "$wine_cv_opengl_libs_found" = "no"
then
AC_MSG_WARN([No OpenGL library found on this system.])
fi
fi
if test "$wine_cv_msg_freetype" = "yes"
...
...
This diff is collapsed.
Click to expand it.
Preview
0%
Loading
Try again
or
attach a new file
.
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Save comment
Cancel
Please
register
or
sign in
to comment